Skip to main content
GET
/
transactions
/
{id}
Get a single transaction
curl --request GET \
  --url https://api.breezing.io/v1/transactions/{id}
{
  "success": true,
  "data": {
    "id": 1,
    "orgId": 123,
    "companyId": 123,
    "walletId": 123,
    "date": 1700000000000,
    "direction": "in",
    "type": "<string>",
    "status": "reviewRequired",
    "amount": "1.5",
    "amountFiat": "3000.00",
    "fee": "-0.001",
    "feeFiat": "-2.00",
    "net": "2998.00",
    "costBasis": "2900.00",
    "token": "ETH",
    "feeToken": "ETH",
    "tokenAddress": "<string>",
    "feeTokenAddress": "<string>",
    "transactionId": "<string>",
    "chain": "eth",
    "account": "<string>",
    "assetAccount": "<string>",
    "feeAssetAccount": "<string>",
    "accountingDescription": "<string>",
    "currency": "USD",
    "walletFrom": "<string>",
    "walletTo": "<string>",
    "walletFromId": 123,
    "walletFromName": "<string>",
    "walletToId": 123,
    "walletToName": "<string>",
    "isInternal": true,
    "isSpam": true,
    "isLocked": true,
    "note": "<string>",
    "exchangeId": 123,
    "createdAt": 123,
    "updatedAt": 123,
    "createdBy": 123,
    "updatedBy": 123,
    "lastSync": 123,
    "addedVia": "<string>",
    "extraLabel": "<string>",
    "functionName": "<string>",
    "internalId": 123,
    "skipNgl": true,
    "skipNglReason": "<string>",
    "vat": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://learn.breezing.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Transaction ID

Example:

"12345"

Query Parameters

org_id
string
required

Organization ID. Use GET /v1/companies to discover available org/company pairs.

Example:

"1"

company_id
string
required

Company ID. Use GET /v1/companies to discover available companies and their access levels.

Example:

"1"

Response

Transaction retrieved successfully

success
enum<boolean>
required
Available options:
true
data
object
required
Last modified on April 12, 2026